List pix scheduled payments
GETTag: api-baas-get-all-pix-scheduled-paymentsDescription: Retrieve a list of the user's pix scheduled payments. Use optional filter parameters to refine your search./v1/pix/scheduled-payments
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Possible values: [PENDING, READY, CANCELED, FAILED]
Pix scheduled payment State.
Possible values: [PIX_RECURRING_PAYMENT, PIX_AUTOMATIC_PAYMENT, OTHER]
Pix scheduled payment type
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
The scheduled payments returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Pix scheduled payment data
Pix scheduled payment ID.
Pix scheduled payment value.
Pix scheduled payment beneficiary name.
Possible values: [PENDING, READY, CANCELED, FAILED]
Pix scheduled payment state.
Possible values: [PIX_RECURRING_PAYMENT, PIX_AUTOMATIC_PAYMENT, OTHER]
Pix scheduled payment state.
Pix payment id.
Operation id.
Pix scheduled payment payment date.
Pix scheduled payment creation date.
Pix scheduled payment update date.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "d1952c4b-9348-41ab-99a3-05b11459aded",
"value": 100,
"beneficiary_name": "John Doe.",
"state": "PENDING",
"type": "PIX_RECURRING_PAYMENT",
"pix_payment_id": "d1952c4b-9348-41ab-99a3-05b11459aded",
"operation_id": "d1952c4b-9348-41ab-99a3-05b11459aded",
"payment_date": "2026-03-26T14:02:59.318Z",
"created_at": "2026-03-26T14:02:59.318Z",
"updated_at": "2026-03-26T14:02:59.318Z"
}
]
}
If any required params are missing or has invalid format or type.